### Type parameters

### Hierarchy

- olTileGridOptions

## Index

### Properties

- extent
- minZoom
- origin
- origins
- resolutions
- sizes
- tileSize
- tileSizes

## Properties

### extent

extent: Extent

- Defined in src/options.js:623

Extent for the tile grid. No tiles outside this extent will be requested by :ol/source/Tile sources. When no `origin` or `origins` are configured, the `origin` will be set to the top-left corner of the extent.

### minZoom

minZoom: number

- Defined in src/options.js:626

Minimum zoom.

### origin

origin: Coordinate

- Defined in src/options.js:627

The tile grid origin, i.e. where the `x` and `y` axes meet (`[z, 0, 0]`). Tile coordinates increase left to right and downwards. If not specified, `extent` or `origins` must be provided.

### origins

origins: Coordinate[]

- Defined in src/options.js:630

Tile grid origins, i.e. where the `x` and `y` axes meet (`[z, 0, 0]`), for each zoom level. If given, the array length should match the length of the `resolutions` array, i.e. each resolution can have a different origin. Tile coordinates increase left to right and downwards. If not specified, `extent` or `origin` must be provided.

### resolutions

resolutions: number[]

- Defined in src/options.js:635

Resolutions. The array index of each resolution needs to match the zoom level. This means that even if a `minZoom` is configured, the resolutions array will have a length of `maxZoom + 1`.

### sizes

sizes: Size[]

- Defined in src/options.js:638

Number of tile rows and columns of the grid for each zoom level. If specified the values define each zoom level's extent together with the `origin` or `origins`. A grid `extent` can be configured in addition, and will further limit the extent for which tile requests are made by sources. If the bottom-left corner of an extent is used as `origin` or `origins`, then the `y` value must be negative because OpenLayers tile coordinates use the top left as the origin.

### tileSize

tileSize: number | Size

- Defined in src/options.js:645

Tile size. Default is `[256, 256]`.

### tileSizes

tileSizes: Size[]

- Defined in src/options.js:647

Tile sizes. If given, the array length should match the length of the `resolutions` array, i.e. each resolution can have a different tile size.

Generated using TypeDoc